Update Entity
curl --request PUT \
--url https://agent.crowdlisten.com/api/entities/{entity_id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"url": "<string>",
"keywords": [
"<string>"
],
"tags": [
"<string>"
],
"description": "<string>",
"industry": "<string>",
"enrichment_status": "<string>",
"platforms": [
"<string>"
],
"official_channels": {},
"config": {}
}
'import requests
url = "https://agent.crowdlisten.com/api/entities/{entity_id}"
payload = {
"name": "<string>",
"url": "<string>",
"keywords": ["<string>"],
"tags": ["<string>"],
"description": "<string>",
"industry": "<string>",
"enrichment_status": "<string>",
"platforms": ["<string>"],
"official_channels": {},
"config": {}
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
url: '<string>',
keywords: ['<string>'],
tags: ['<string>'],
description: '<string>',
industry: '<string>',
enrichment_status: '<string>',
platforms: ['<string>'],
official_channels: {},
config: {}
})
};
fetch('https://agent.crowdlisten.com/api/entities/{entity_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://agent.crowdlisten.com/api/entities/{entity_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'url' => '<string>',
'keywords' => [
'<string>'
],
'tags' => [
'<string>'
],
'description' => '<string>',
'industry' => '<string>',
'enrichment_status' => '<string>',
'platforms' => [
'<string>'
],
'official_channels' => [
],
'config' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://agent.crowdlisten.com/api/entities/{entity_id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"keywords\": [\n \"<string>\"\n ],\n \"tags\": [\n \"<string>\"\n ],\n \"description\": \"<string>\",\n \"industry\": \"<string>\",\n \"enrichment_status\": \"<string>\",\n \"platforms\": [\n \"<string>\"\n ],\n \"official_channels\": {},\n \"config\": {}\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://agent.crowdlisten.com/api/entities/{entity_id}")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"keywords\": [\n \"<string>\"\n ],\n \"tags\": [\n \"<string>\"\n ],\n \"description\": \"<string>\",\n \"industry\": \"<string>\",\n \"enrichment_status\": \"<string>\",\n \"platforms\": [\n \"<string>\"\n ],\n \"official_channels\": {},\n \"config\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://agent.crowdlisten.com/api/entities/{entity_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"keywords\": [\n \"<string>\"\n ],\n \"tags\": [\n \"<string>\"\n ],\n \"description\": \"<string>\",\n \"industry\": \"<string>\",\n \"enrichment_status\": \"<string>\",\n \"platforms\": [\n \"<string>\"\n ],\n \"official_channels\": {},\n \"config\": {}\n}"
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}entities
Update Entity
Update an entity’s properties.
PUT
/
api
/
entities
/
{entity_id}
Update Entity
curl --request PUT \
--url https://agent.crowdlisten.com/api/entities/{entity_id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"url": "<string>",
"keywords": [
"<string>"
],
"tags": [
"<string>"
],
"description": "<string>",
"industry": "<string>",
"enrichment_status": "<string>",
"platforms": [
"<string>"
],
"official_channels": {},
"config": {}
}
'import requests
url = "https://agent.crowdlisten.com/api/entities/{entity_id}"
payload = {
"name": "<string>",
"url": "<string>",
"keywords": ["<string>"],
"tags": ["<string>"],
"description": "<string>",
"industry": "<string>",
"enrichment_status": "<string>",
"platforms": ["<string>"],
"official_channels": {},
"config": {}
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
url: '<string>',
keywords: ['<string>'],
tags: ['<string>'],
description: '<string>',
industry: '<string>',
enrichment_status: '<string>',
platforms: ['<string>'],
official_channels: {},
config: {}
})
};
fetch('https://agent.crowdlisten.com/api/entities/{entity_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://agent.crowdlisten.com/api/entities/{entity_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'url' => '<string>',
'keywords' => [
'<string>'
],
'tags' => [
'<string>'
],
'description' => '<string>',
'industry' => '<string>',
'enrichment_status' => '<string>',
'platforms' => [
'<string>'
],
'official_channels' => [
],
'config' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://agent.crowdlisten.com/api/entities/{entity_id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"keywords\": [\n \"<string>\"\n ],\n \"tags\": [\n \"<string>\"\n ],\n \"description\": \"<string>\",\n \"industry\": \"<string>\",\n \"enrichment_status\": \"<string>\",\n \"platforms\": [\n \"<string>\"\n ],\n \"official_channels\": {},\n \"config\": {}\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://agent.crowdlisten.com/api/entities/{entity_id}")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"keywords\": [\n \"<string>\"\n ],\n \"tags\": [\n \"<string>\"\n ],\n \"description\": \"<string>\",\n \"industry\": \"<string>\",\n \"enrichment_status\": \"<string>\",\n \"platforms\": [\n \"<string>\"\n ],\n \"official_channels\": {},\n \"config\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://agent.crowdlisten.com/api/entities/{entity_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"keywords\": [\n \"<string>\"\n ],\n \"tags\": [\n \"<string>\"\n ],\n \"description\": \"<string>\",\n \"industry\": \"<string>\",\n \"enrichment_status\": \"<string>\",\n \"platforms\": [\n \"<string>\"\n ],\n \"official_channels\": {},\n \"config\": {}\n}"
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Path Parameters
Body
application/json
Required string length:
1 - 200Pattern:
^(pending|enriching|enriched|failed)$Response
Successful Response